//BEGIN COPYRIGHT
//*************************************************************************
//
// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// (C) Copyright IBM Corporation 2009, 2013. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var cmd = "%windir%\\system32\\cmd.exe";

function getProductProperty(propertyName)
{
    var forReading = 1;
    var tristateUseDefault = -2;
    
    var f = fileObject.GetFile(${WBIROOT} + "\\util\\bpm.shortcuts.nls\\script\\count.properties");
    var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
    
    var propertyValue = "";
    while (!ts.AtEndOfStream)
    {
        var lineText = ts.ReadLine();
        if ( lineText.indexOf(propertyName) >= 0)
        {
            propertyValue = lineText.substr(lineText.lastIndexOf("=") +  1);
            break;
        }
    }
    ts.Close();
    
    return propertyValue;
}

var productLabel = getProductProperty("com.ibm");

var startMenuLocation = wshShell.SpecialFolders("Programs");
var IBM = startMenuLocation + "\\IBM";
var product = IBM + "\\" + productLabel;

if(fileObject.FolderExists(product))
{
    var productFolder = fileObject.GetFolder(product);
    var subFolders = productFolder.SubFolders;
    var files = [];
    for(var subEnum = new Enumerator(subFolders); !subEnum.atEnd(); subEnum.moveNext()) {
        var subFolder = subEnum.item();
        var profile = subFolder + "\\${PROFILENAME}";
        if (fileObject.FolderExists(profile)){
            for(var fileEnum = new Enumerator(fileObject.GetFolder(profile).Files); !fileEnum.atEnd(); fileEnum.moveNext())
                files.push(fileEnum.item().Name);
            fileObject.DeleteFolder(profile);
        }
        WScript.Echo("SubFolder Name: " + fileObject.GetFolder(subFolder).Name);
        for(var anum = new Enumerator(fileObject.GetFolder(subFolder).SubFolders); !anum.atEnd(); anum.moveNext())
            WScript.Echo("SubFolder SubFolder name: " + anum.item().Name);
        WScript.Echo("SubFolder SubFolder Count: " + fileObject.GetFolder(subFolder).SubFolders.Count);
        WScript.Echo("SubFolder File Count: " + fileObject.GetFolder(subFolder).Files.Count);
        if (fileObject.FolderExists(subFolder) && fileObject.GetFolder(subFolder).Files.Count == 0 && fileObject.GetFolder(subFolder).SubFolders.Count == 0)  
            fileObject.DeleteFolder(subFolder);
    }
    for(var index = 0; index < files.length; index++) {
        var fileToDelete = product + "\\" + files[index];
        if(fileObject.FileExists(fileToDelete))
            fileObject.DeleteFile(fileToDelete);
    }
}
      
if (fileObject.FolderExists(product) && fileObject.GetFolder(product).Files.Count == 0 && fileObject.GetFolder(product).SubFolders.Count == 0)  
      fileObject.DeleteFolder(product); 

if (fileObject.FolderExists(IBM) && fileObject.GetFolder(IBM).Files.Count == 0 && fileObject.GetFolder(IBM).SubFolders.Count == 0)  
      fileObject.DeleteFolder(IBM); 